Subject: Re: linux-next: suspend tree build failure

From: "Rafael J. Wysocki" <[email-masked]>
Date: Tue, 18 Aug 2009 23:43:32 +0200

On Tuesday 18 August 2009, Stephen Rothwell wrote:
> Hi Rafael,

Hi,

> Today's linux-next build (i386 defconfig) failed like this:
> 
> drivers/base/power/main.c: In function 'device_pm_init':
> drivers/base/power/main.c:59: error: 'struct dev_pm_info' has no member named 'lock'

Argh, that line shouldn't even be there.

> Caused by commit ea8e84f27325d9ddc7692f728a10e0a22cd59f52 ("PM: Introduce
> core framework for run-time PM of I/O devices (rev. 17)") from the
> suspend tree.  The i386 defconfig does not have CONFIG_PM_RUNTIME set but
> does have CONFIG_PM_SLEEP=y ...
> 
> I have reverted that commit for today.
> 
> When you add a new CONFIG variable, it is worth doing test builds both
> with it turned on and turned off ...

I tested it, but I broke the patch afterwards by mistake. :-(

Sorry for the trouble, I've just pushed an updated tree.

Thanks,
Rafael